Loading...
Searching...
No Matches
lomiri::shell::application::SurfaceManagerInterface Class Referenceabstract
Inheritance diagram for lomiri::shell::application::SurfaceManagerInterface:
[legend]
Collaboration diagram for lomiri::shell::application::SurfaceManagerInterface:
[legend]

## Signals

void | surfaceCreated (lomiri::shell::application::MirSurfaceInterface *surface)
void | surfaceRemoved (lomiri::shell::application::MirSurfaceInterface *surface)
void | surfaceReady (lomiri::shell::application::MirSurfaceInterface *surface)
void | surfaceMoved (lomiri::shell::application::MirSurfaceInterface *surface, const QPoint &topLeft)
void | surfaceResized (lomiri::shell::application::MirSurfaceInterface *surface, const QSize &size)
void | surfaceStateChanged (lomiri::shell::application::MirSurfaceInterface *surface, Mir::State state)
void | surfaceFocusChanged (lomiri::shell::application::MirSurfaceInterface *surface, bool focused)
void | surfacesRaised (const QVector< lomiri::shell::application::MirSurfaceInterface * > &surfaces)
void | surfaceRequestedRaise (lomiri::shell::application::MirSurfaceInterface *surface)
void | surfacesAddedToWorkspace (const std::shared_ptr< miral::Workspace > &workspace, const QVector< lomiri::shell::application::MirSurfaceInterface * > &surfaces)
void | surfacesAboutToBeRemovedFromWorkspace (const std::shared_ptr< miral::Workspace > &workspace, const QVector< lomiri::shell::application::MirSurfaceInterface * > &surfaces)
void | modificationsStarted ()
void | modificationsEnded ()

## Public Member Functions

virtual void | raise (MirSurfaceInterface *surface)=0
virtual void | activate (MirSurfaceInterface *surface)=0
virtual void | forEachSurfaceInWorkspace (const std::shared_ptr< miral::Workspace > &workspace, const std::function< void(lomiri::shell::application::MirSurfaceInterface *)> &callback)=0
virtual void | moveSurfaceToWorkspace (lomiri::shell::application::MirSurfaceInterface *surface, const std::shared_ptr< miral::Workspace > &workspace)=0
virtual void | moveWorkspaceContentToWorkspace (const std::shared_ptr< miral::Workspace > &to, const std::shared_ptr< miral::Workspace > &from)=0

The documentation for this class was generated from the following file:

- include/lomiri/shell/application/SurfaceManagerInterface.h